<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.tuoheng.mapper.RegisteredClientMapper">


    <select id="selectClient" resultType="com.tuoheng.model.po.RegisteredClientPo">
        select id, client_id clientId, client_secret clientSecret
        from tuoheng_oidc.oauth2_registered_client
        where client_id = #{clientId}
    </select>
</mapper>